sc::TwoBodyIntV3(3)

NAME
sc::TwoBodyIntV3 -

This implements electron repulsion integrals in the IntV3 library'.

SYNOPSIS

#include <tbintv3.h>

Inherits sc::TwoBodyInt'.

  Public Member Functions
TwoBodyIntV3 (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage)
int log2_shell_bound (int, int, int, int)
Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell'.
void compute_shell (int, int, int, int)
Given four shell indices, integrals will be computed and placed in the buffer'.
size_t storage_used ()
void set_integral_storage (size_t storage)
This storage is used to cache computed integrals'.

  Protected Attributes
Ref< Int2eV3 > int2ev3_

Detailed Description

This implements electron repulsion integrals in the IntV3 library'.

Member Function Documentation

  void sc::TwoBodyIntV3::compute_shell (int, int, int, int) [virtual]

Given four shell indices, integrals will be computed and placed in the buffer'. The first two indices correspond to electron 1 and the second two indices correspond to electron 2'.

Implements sc::TwoBodyInt'.

  int sc::TwoBodyIntV3::log2_shell_bound (int, int, int, int) [virtual]

Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell'. An index of -1 for any argument indicates any shell'.

Implements sc::TwoBodyInt'.

Author

Generated automatically by Doxygen for MPQC from the source code'.